2017-11-22 12:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003704Kali Linux[All Projects] Kali Package Bugpublic2016-11-03 15:06
Reporterreapersaint 
Assigned Tosbrun 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003704: Type Error Bdproxy (body_size_limit)
DescriptionKernel Kali 4.7.0-kali1-amd64
Bdfproxy v0.3.9-0kali
mitmproxy v0.18.2-0kali

Due to update mitmproxy to 0.18.2 it will cause throwing BDFproxy a Type Error as followed:

File "./bdf_proxy.py", line 824, in <module>
    mode=user_config['Overall']['proxyMode'],
TypeError: __init__() got an unexpected keyword argument 'body_size_limit'
Steps To Reproduceapt-get update
apt-get upgrade
apt-get dist-upgrade

bdfproxy
Traceback (most recent call last):
  File "./bdf_proxy.py", line 824, in <module>
    mode=user_config['Overall']['proxyMode'],
TypeError: __init__() got an unexpected keyword argument 'body_size_limit'
Additional InformationA downgrade from mitmproxy to version 0.17 will fix this bug until new release of bdfproxy
Attached Files

-Relationships
+Relationships

-Notes

~0006103

sbrun (manager)

fixed in version 0.3.9-0kali2
+Notes

-Issue History
Date Modified Username Field Change
2016-10-31 21:09 reapersaint New Issue
2016-10-31 21:13 rhertzog Assigned To => sbrun
2016-10-31 21:13 rhertzog Status new => assigned
2016-11-03 15:06 sbrun Status assigned => resolved
2016-11-03 15:06 sbrun Resolution open => fixed
2016-11-03 15:06 sbrun Fixed in Version => 2017.1
2016-11-03 15:06 sbrun Note Added: 0006103
+Issue History